#!/bin/bash

PATH=$PATH:$HOME/ChemUtils/Espresso/espresso-5.0.1/bin/

echo "#c  E(eV) E(Ry) " >> e_vs_c.dat

#Experimental lattice vector a=2.46 ang, c=6.7 ang
#for c in 6.0 6.2 ;do 
for c in 6.0 6.2 6.5 6.7 6.8 6.9 7.0 7.2 7.4 7.6 7.8 8.0 8.5 9.0 9.5 10.0 12.0 16.0 20.0 25.0;do 

cat > graphite.scf.in << EOF
&control
   calculation = 'scf'
   restart_mode='from_scratch',
   prefix='graphite',
   tstress = .true.
   tprnfor = .true.
   pseudo_dir = '/home/emenendez/ChemUtils/Espresso/espresso-5.0.1/pseudo',
   outdir='./tmp',
   forc_conv_thr = 1.0D-3,

/

&system
    ibrav           = 0 
    celldm(1)       = 1.8897261
    nat             = 4 
    ntyp            = 1
    occupations     = 'fixed'
    smearing        = 'methfessel-paxton'
    degauss         = 0.02
    ecutwfc         = 30.0
    ecutrho         = 180.0
!    input_dft  	    = 'vdW-DF'
!    input_dft  	    = 'vdW-DF2'
!     london = .true.
/

&electrons
    conv_thr        = 1.0d-8
/
&ions
/
&cell
    press_conv_thr  = 0.5D0
    press           = 0.D0
    cell_dynamics   = 'bfgs'
    cell_dofree     = 'all'
/

ATOMIC_SPECIES
C   12.00   C.pbe-rrkjus.UPF

CELL_PARAMETERS (alat=  4.64117000)
   2.461200000   0.000000000   0.000000000
  -1.230600000   2.131461724   0.000000000
   0.000000000   0.000000000   ${c}

ATOMIC_POSITIONS {crystal}
C  0.0000000  0.0000000  0.0000000 
C  0.3333333  0.6666667  0.0000000 
C  0.0000000  0.0000000  0.5000000 
C  0.6666667  0.3333333  0.5000000 

K_POINTS automatic
6 6 3 1 1 1
EOF


OUTFILE=graphite.scf.out.$c

pw.x < graphite.scf.in > $OUTFILE

EeV=`grep '!    total energy' ${OUTFILE}  | tail -1 | awk  '{print $5*13.606}'`
ERy=`grep '!    total energy' ${OUTFILE}  | tail -1 | awk  '{print $5}'`

echo $c  $EeV $ERy >> e_vs_c.dat

done

echo " " >> e_vs_c.dat
echo " " >> e_vs_c.dat
