#!/bin/bash

PATH=$PATH:$HOME/ChemUtils/Espresso/espresso-5.0.1/bin/

XCLIST="vdW-DF vdW-DF2"
#XCLIST="PBE"
#postfix="-D"

for xc in $XCLIST; do 
echo "#${xc}${postfix}" >> e_xc.dat
echo "#c  E(eV) E(Ry) shift(eV)" >> e_xc.dat

#c is the distance from the O of water to the center of benzene
zH=`echo "${c}-1.1232" |bc`

cat > benzene_water-pos2.scf.in << EOF
 &control
    calculation='relax'
    restart_mode='from_scratch',
    pseudo_dir = '/home/emenendez/ChemUtils/Espresso/espresso-4.3.2/pseudo/',
    prefix='benzene'
    outdir='./tmp'
!    verbosity = 'high',
 /
 &system
    ibrav= 8, celldm(1)= 20.0,celldm(2)= 1, celldm(3)=1,
    nat=  15, ntyp= 3,
    ecutwfc = 30.0, 
    ecutrho= 180.d0
!    london = .true.,
    input_dft              = '${xc}'
!    nosym = .true.
 /
 &electrons
    mixing_beta = 0.5,
    startingwfc='random',
 /
 &IONS
     ion_dynamics = 'bfgs' ,
          upscale = 100.D0 ,
 /
ATOMIC_SPECIES
 C  1. C.pbe-rrkjus.UPF 
 H   1.  H.pbe-rrkjus.UPF
 O   1. O.pbe-rrkjus.UPF
ATOMIC_POSITIONS {bohr}
C   1.321864  2.289536  0.000 
C  -1.321864  2.289536  0.000 
C  -2.643728  0.000000  0.000 
C  -1.321865 -2.289535  0.000 
C   1.321864 -2.289536  0.000 
C   2.643728  0.000000  0.000 
H   2.362159  4.091379  0.000 
H  -2.362158  4.091379  0.000 
H  -4.724317  0.000001  0.000 
H  -2.362160 -4.091378  0.000 
H   2.362158 -4.091379  0.000 
H   4.724317 -0.000001  0.000 
O     1.5100    0.0000  6.75  
H     1.584     0.0000  4.92  
H    -0.281     0.0000  7.14  
EOF


OUTFILE=benzene_water-pos2.scf.out.${xc}${postfix}

mpirun -np 4 pw.x < benzene_water-pos2.scf.in > $OUTFILE

EeV=`grep '!    total energy' ${OUTFILE}  | tail -1 | awk  '{print $5*13.606}'`
ERy=`grep '!    total energy' ${OUTFILE}  | tail -1 | awk  '{print $5}'`

echo $c  $EeV $ERy >> e_xc.dat


echo " " >> e_xc.dat
echo " " >> e_xc.dat

done
